﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Users</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Users</h1>
        <p>This section consists of the following:<br />Users from a third-party application can be added to IGA in many ways. One of the methods of adding users in the IGA application is by&#160;using the<strong> Create Users</strong> feature. From Release v2020.1 onwards,&#160;the Create User and Update User actions taken from UI/API are logged and can be seen in the Application Audit Log details screen. For more information see,&#160;<MadCap:xref href="../Chapter07-General-Administrator-Tasks/Managing-Application-Audit-Logs.htm">Managing Application Audit Logs</MadCap:xref>.<br /></p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <ul>
                <li>
                    <p class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
                        <p class="note">While creating a dynamic attribute employeeType, ensure that the T is capitalized, as in employeeType, to store the updated value for&#160;employeeType,&#160;such as Permanent or Contractual in the database. If the dynamic attribute is created with a small 't' such as&#160;employeetype, the updated value is not stored in the database.</p>
                    </p>
                </li>
                <li>
                    <p class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
                        <p class="note">From Release  v2020.1&#160;onwards, a new optional parameter dynamicattrsvalidation&#160;is added to the&#160;createuserRequest and updateuserRequest&#160;APIs with a default value 'True'. Specify the dynamicattrsvalidation value as 'True',&#160;if you want the&#160;Saviynt Extension to&#160;perform dynamic attribute validations for the user.&#160;Specify the dynamicattrsvalidation value as 'False' to skip the&#160;validation for dynamic attributes.&#160;</p>
                        <p class="note">In addition, to support the rehiring of a previous employee use-case, you can now update the 'inactive' status of the user to 'active' status using the&#160;createuserRequest and updateuserRequest&#160;APIs.&#160;</p>
                    </p>
                </li>
            </ul>
        </div>
        <h2>Creating a New User</h2>
        <p>To create a new user, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong style="margin-left: 0.0px;">ADMIN &gt; Identity Repository &gt; Users </strong>or<strong style="margin-left: 0.0px;"> ARS &gt; Request Home &gt; Create User</strong>.</p>
            </li>
            <li>
                <p>Click the <strong style="margin-left: 0.0px;">Actions</strong> arrow and select <strong style="margin-left: 0.0px;">Create User</strong>. The <strong>Create New User</strong> page is displayed.</p>
            </li>
            <li>
                <p>Provide values for the following Create User parameters,&#160;and click <strong style="margin-left: 0.0px;">Create</strong>.</p>
                <div class="table-wrap">
                    <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                        <col style="width: 223px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 1017px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">User Name</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the appropriate user name.&#160;If the user name you specified matches an existing user name, an error message is displayed stating that the user name already exists.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">First Name</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the first name of the user.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Last Name</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the last name of the user.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Middle Name</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the middle name of the user.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">City</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the city name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Street</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the street details.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Email</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the email id of the user. The list of characters supported in Email ID is:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text">Uppercase and lowercase letters A to Z and a to z.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Digits 0 to 9.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Printable characters \!#$%&amp;'*+-/=?^_`\{|}~</p>
                                        </li>
                                        <li>
                                            <p class="table-text">A dot or comma i.e. (. ,) that is not the first or last character quoted and does not appear consecutively unless quoted is accepted. For example, John.Doe@example.com is not allowed, but "John.Doe"@example.com is allowed.</p>
                                        </li>
                                    </ul>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">For more information about customizing the user's email domain name see, <MadCap:xref href="#CreatingUsers-CustomizingUsersEmailDomainNameUsingRegexAPI">Customizing User's Email Domain Name using Regex API</MadCap:xref>.</p>
                                    </div>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Phone Number</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the phone number of the user in numerical format.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">State</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the name of the state&#160;where the user resides.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Country</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;the name of the country&#160;where the user resides.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Costcenter</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;the cost center number of the user.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Job Code</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;the job code of the user.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Organization</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the organization name to which the user belongs.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Status(1-Active,0-Inactive)</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the current status of the user.</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>0: </strong>Indicates that the current status of the user is inactive.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>1: </strong>Indicates that the current status of the user is active. By default, when the user is created, the status is set to Active.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Expire password for New User</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;the user's password status as <strong>True</strong> for password expired or <strong>False</strong> for the active password.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Manager</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click <strong>Select Manager</strong>, and then select a manager.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Comment</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify relevant comments, if any.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Start Date</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify&#160;the start date of the user, when the user joined the organization.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">End Date</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Specify the appropriate date when the user should be disabled.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
        </ol>
        <h2><a name="CreatingUsers-CustomizingUsersEmailDomainNameUsingRegexAPI"></a>Customizing User's Email Domain Name using Regex API</h2>
        <p>While creating a user in IGA (from&#160;<strong>Admin &gt; Identity Repository &gt; Users</strong>) it is possible that the user's email (Email field) can include a domain name that is more than three characters.</p>
        <p>For example, instead of usual three-letter domain names, such as .com, .net, or .gov, suppose you want the email address with the domain name in the format in which there are more than three letters for the domain (for example, the ###@###.### format). This can be configured&#160;from the back end code. Please contact<em> Saviynt Support Team&#160;</em>for more information.&#160;&#160;<br /></p>
    </body>
</html>